Bug 283721 - Review Request: bolzplatz2006 - Slam Soccer 2006 is a funny football game in 3D-comic-style
Review Request: bolzplatz2006 - Slam Soccer 2006 is a funny football game in ...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marcela Mašláňová
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-08 16:10 EDT by Hans de Goede
Modified: 2007-12-01 04:54 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-01 04:54:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mmaslano: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2007-09-08 16:10:19 EDT
Spec URL: http://people.atrpms.net/~hdegoede/bolzplatz2006.spec
SRPM URL: http://people.atrpms.net/~hdegoede/bolzplatz2006-1.0.3-1.fc8.src.rpm
Description:
Slam Soccer 2006 is a funny football game in
3D-comic-style - and it's for free!

* Freeware and open source
* Funny 3d-comic-style
* Enthralling stadium atmosphere
* Keyboard and gamepad control
* 2-player mode
* Career and world cup
* Register in the online hall of fame
* Build your own stadium

* 80 teams
* 20 stadiums
* 10 weather conditions
* 50 adboards
* 10 referees
* 9 commentators (5 German, 2 English, 2 French)

* 3 languages: German, English, French

---

Notice this packages only works with icedtea, and thus only works on devel/rawhide !

It needs the following packages which are still under review:
sdljava - bug 283441
vecmath - bug 283701
bolzplatz2006-data - bug 283711

---

Note the datafiles as is are licensed CC By-Nc-Sa, IOW they are not acceptable for inclusion into Fedora as is. I've contacted upstream and the project lead is willing to drop the Nc clause. He is currently contacting the other (data creating) project members to ask there permission for the license change. He expects this to be no problem, but this takes a bit of time.

I'm already submitting bolzplatz2006 itself (which is GPLv2+) as this might be a long review I think (it took me almost a week to package it). And in order to be able to test bolzplatz itself I've also made the datafiles package available already, see bug 283711.
Comment 1 Hans de Goede 2007-09-17 16:11:17 EDT
Unfortunately upstream couldn't get all data-files contributers to agree to a
license change, so here is a new version using autodownloader instead :(

Spec URL: http://people.atrpms.net/~hdegoede/bolzplatz2006.spec
SRPM URL: http://people.atrpms.net/~hdegoede/bolzplatz2006-1.0.3-2.fc8.src.rpm
Comment 2 Marcela Mašláňová 2007-11-28 04:11:58 EST
I can't build it. There some problem with gcc option. Have you any advice?
g++ -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector
--param=ssp-buffer-size=4 -m32 -march=i386 -mtune=generic
-fasynchronous-unwind-tables -fPIC -fno-strict-aliasing -g -shared
lib/irrlicht_wrap.o -o libirrlicht_wrap.so -L../irrlicht-0.14-patched/lib/Linux
-lIrrlicht -ljpeg -lpng -lz  -L/usr/X11R6/lib -lX11 -lGL -lXxf86vm -lXext -lc -lGLU
/usr/bin/ld: cannot find -lXxf86vm
collect2: ld returned 1 exit status
make: *** [libirrlicht_wrap.so] Error 1
error: Bad exit status from /var/tmp/rpm-tmp.4599 (%build)

rpmlint
bolzplatz2006.src: W: strange-permission bolzplatz2006.sh 0755

Spec file looks ok.
Comment 3 Hans de Goede 2007-11-28 11:10:14 EST
(In reply to comment #2)
> I can't build it. There some problem with gcc option. Have you any advice?
> g++ -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector
> --param=ssp-buffer-size=4 -m32 -march=i386 -mtune=generic
> -fasynchronous-unwind-tables -fPIC -fno-strict-aliasing -g -shared
> lib/irrlicht_wrap.o -o libirrlicht_wrap.so -L../irrlicht-0.14-patched/lib/Linux
> -lIrrlicht -ljpeg -lpng -lz  -L/usr/X11R6/lib -lX11 -lGL -lXxf86vm -lXext -lc
-lGLU
> /usr/bin/ld: cannot find -lXxf86vm
> collect2: ld returned 1 exit status
> make: *** [libirrlicht_wrap.so] Error 1
> error: Bad exit status from /var/tmp/rpm-tmp.4599 (%build)
> 

Hmm, missing BuildRequires on: libXxf86vm-devel can you install libXxf86vm-devel
and give it another try please?
Comment 4 Marcela Mašláňová 2007-11-29 03:53:15 EST
Hm and what's now?

BUILD FAILED
/usr/src/redhat/BUILD/bolzplatz2006-1.0.3/libsrc/lwjgl/build.xml:564: The
following error occurred while executing this line:
/usr/src/redhat/BUILD/bolzplatz2006-1.0.3/libsrc/lwjgl/build.xml:617: Warning:
Could not find file
/usr/src/redhat/BUILD/bolzplatz2006-1.0.3/libsrc/lwjgl/src/native/linux/liblwjgl.so
to copy.

Did you build it in mock?
Comment 5 Hans de Goede 2007-11-29 10:57:55 EST
(In reply to comment #4)
> Did you build it in mock?

Nope, I normally just get the BuildRequires from the configure script as I have
a slow internet link at home, but that was a bad idea in this case. I've put it
through mock now and added lots of missing BuildRequires, new version here:
Spec URL: http://people.atrpms.net/~hdegoede/bolzplatz2006.spec
SRPM URL: http://people.atrpms.net/~hdegoede/bolzplatz2006-1.0.3-3.fc9.src.rpm

Comment 6 Marcela Mašláňová 2007-11-30 03:30:31 EST
> bolzplatz2006.i386: W: file-not-utf8 
> /usr/share/doc/bolzplatz2006-1.0.3/license.txt
This should be fixed, because of our utf-8 policy.

> bolzplatz2006.src: W: strange-permission bolzplatz2006.sh 0755
You should comment this unusual permission.

SPEC:
> export JAVA_HOME=/usr/lib/jvm/java-icedtea
use %_libdir instead of path

Comment 7 Hans de Goede 2007-11-30 03:42:26 EST
(In reply to comment #6)
> > bolzplatz2006.i386: W: file-not-utf8 
> > /usr/share/doc/bolzplatz2006-1.0.3/license.txt
> This should be fixed, because of our utf-8 policy.
> 

Oops, will fix, I missed this as when I first packaged this rpmlint didn't do
UTF-8 checks for some reason.

> > bolzplatz2006.src: W: strange-permission bolzplatz2006.sh 0755
> You should comment this unusual permission.
> 

It doesn't need to be 755 in the src.rpm install will fix the permissions when
installing, I'll fix this.

> SPEC:
> > export JAVA_HOME=/usr/lib/jvm/java-icedtea
> use %_libdir instead of path
>

Can't do java is always under /usr/lib even on x86_64.

I'll fix the 2 other minor issues once a full review is done, thanks for the
input sofar.
Comment 8 Marcela Mašláňová 2007-11-30 03:49:29 EST
Now I have only one problem, the game isn't running for me. Maybe that's because
of my two lcd's.
Comment 9 Hans de Goede 2007-11-30 05:30:55 EST
Hmm,

Thats strange, it worked fine for me last time I tried it, you are launching it
through the shell script, and it does first download the needed datafiles?

What error do you get?
Comment 10 Marcela Mašláňová 2007-11-30 05:45:03 EST
At the first time some data start downloading and then nothing. I try to run it
only on laptop without another lcd and change settings, but nothing happened.
There's no response from programme only try to change screen and then nothing.
If it's working for someone else, then it is ok. 

I'll give you +, because everything from the review point has been done.
Comment 11 Hans de Goede 2007-11-30 06:56:19 EST
Thanks for the review and the trust! I'll make sure to double check it still
works for me on both i386/i810 video and x86_64/radeon video. It worked fine
there when I initially packaged it, but maybe something else has changed causing
problems.

New Package CVS Request
=======================
Package Name:      bolzplatz2006
Short Description: Slam Soccer 2006 is a funny football game in 3D-comic-style
Owners:            jwrdegoede 
Branches:          F-8 devel
InitialCC:         <empty>
Cvsextras Commits: Yes
Comment 12 Kevin Fenzi 2007-11-30 12:31:40 EST
cvs done.
Comment 13 Hans de Goede 2007-12-01 04:54:52 EST
Tested on a pristine x86_64 install with ati video, works as advertised for me.

Imported and build, closing.

Note You need to log in before you can comment on or make changes to this bug.